Summary: Japanese Morphological Analysis System, ChaSen
Name: chasen

%global momorel 4

Version: 2.3.3
Release: %{momorel}m
%NoSource 0 http://chasen.aist-nara.ac.jp/stable/chasen/%{name}-%{version}.tar.gz 629e90d9490bac95606c38c2d344cc5f
Patch0: http://chasen.aist-nara.ac.jp/stable/chasen/chasen-2.2.8-nmz.diff
Patch1: chasen-2.3.3-gcc34.patch
Patch2: chasen-2.3.3-darts-0.3.patch
#Copyright: 1999 Nara Institute of Science and Technology, Japan.
License: see "COPYING"
URL: http://chasen.aist-nara.ac.jp/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Text
Requires: ipadic
BuildRequires: darts >= 0.3
BuildRequires: gcc-c++ >= 3.4.1-1m

%description
Japanese Morphological Analysis System

%package devel
Summary: Libraries and header files for ChaSen developers
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries and header files for ChaSen developers.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .gcc34
%patch2 -p1 -b .darts-0.3

%build
export CFLAGS="%{optflags}"
libtoolize -c -f
aclocal
autoconf
%configure --with-darts=%{_prefix}
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS* README*
%doc doc/*.tex doc/*.pdf
%{_bindir}/chasen
%{_libdir}/*.so.*
# %{_datadir}/%{name}
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/makeda
%{_libexecdir}/%{name}/makemat

%files devel
%defattr(-,root,root)
%{_bindir}/chasen-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sat Jan  7 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.3-4m)
- rebuild against darts-0.3

* Wed Sep  1 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.3-3m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add gcc34 patch

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (2.3.3-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 25 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.3.3-1m)

* Tue Feb 11 2003 zunda <zunda@freeshell.org>
- (2.2.9-4m)
- apply chasen-2.2.8-nmz.diff to extract URLs and e-mail addresses

* Fri Nov 15 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.9-3m)
- modify spec file

* Fri Feb  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.9-2k)

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.2.8-4k)
- nigittenu

* Sat Sep  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.2.8-2k)

* Mon Jun 25 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.2.7-3k)

* Thu Mar 22 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.2.4-3k)

* Mon Mar  5 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.2.3-3k)

* Fri Dec 15 2000 Kazuhiko <kazuhiko@kondara.org>
- (2.2-3k)
- move ipadic to another package

* Sun Dec 10 2000 Kazuhiko <kazuhiko@kondara.org>
- (2.02_2.1-5k)
- move perl-module to another package

* Sat Nov  4 2000 AYUHANA Tomonori <l@kondara.org>
- (2.02_2.1-1k)
- 1st release.
- SPEC fixed ( %description )
- add patch0 for make error
